stages:
  - .pre
  # Insert your own stages here.
  - .post

.shell-runner:
  tags: [nobatch]

.report-status:
  variables:
    # You can define all BUILDSTATUS_ variables here, with the
    # exception of the TOKEN if it makes it easier to manage.
    BUILDSTATUS_PROJECT: 13829536
    BUILDSTATUS_JOB: OLCF
    BUILDSTATUS_APIURL: "https://gitlab.com/api/v4"
  before_script:
    - ml py-virtualenv python/3.7.0
    - python -m venv env
    - source env/bin/activate
    - pip install requests
  script:
    - python ${CI_PROJECT_DIR}/test/scripts/build_status.py
  dependencies: []
  cache:
    key: python-requests
    paths:
      - env/
    policy: pull

pending:
  extends:
    - .report-status
    - .shell-runner
  stage: prepare
  cache:
    key: python-requests
    paths:
      - env/
    policy: pull-push

success:
  extends:
    - .report-status
    - .shell-runner
  stage: .post

# IMPORTANT, if you are using GitHub as opposed to GitLab as your
# API target this job name must be changed to 'failure'.
failed:
  extends:
    - .report-status
    - .shell-runner
  stage: .post
  when: on_failure
